Subject: Re: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Po Lu <[email-masked]>
Date: Wed, 24 Aug 2022 20:34:33 +0800

Eli Zaretskii <[email-masked]> writes:

> Frames are a bad basis for menus: they (the frames) are too
> heavyweight for a menu, so the resulting menus will look ugly.

Well, undecorated frames don't look bad, but creating them takes a long
time.  The next thing I'll try is to create menu frames with something
similar to the tooltip frame code, but that will probably have other
consequences too, and move more code into C.

> And there are other issues that make this unattractive: e.g., how do
> you make a frame unmovable (which is required for sub-menus)?

By setting the `override-redirect' frame parameter (or `undecorated' on
platforms where the former isn't supported), like any other program.